Pharmacy API

post /users/{id}/erx/pharmacies

Save pharmacy

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Save patient's currently chosen pharmacy

Save the patient's currently chosen pharmacy.

Note: Set type to mdtoolbox when saving pharmacy data from MDToolbox search results. Include the extra object with the unmodified data returned by the pharmacy search API (contains NCPDPID, StoreName, etc.).

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idpathstringyesUser ID or dash (-) for current user (e.g. 575)

Request body

Content type: application/json

FieldTypeRequiredEnumDescription
namestringyes
codestringyes
addressstringno
address_morestringno
citystringno
countrystringno
statestringno
zipstringno
phonestringno
faxstringno
latnumberno
longnumberno
distancenumberno
typestringno
extraobjectno

Example:

{
  "name": "A247PC00-Anesthesia 24/7, PC",
  "address": "1200 Freas Avenue",
  "code": "1001103",
  "city": "Berwick",
  "state": "PA",
  "zip": "18063",
  "phone": "5707525572",
  "fax": "6153972423",
  "type": "mdtoolbox",
  "extra": {
    "NCPDPID": "1001103",
    "StoreName": "A247PC00-Anesthesia 24/7, PC"
  }
}

Responses

200 — Successful save

Success

{
  "data": true
}

Machine-readable: OpenAPI JSON